<?php
/**
 * Controller to handling get twitter images
 *
 * @package wp-image-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPImpr_Ajax_Gettwitter' ))
{

  require IPIMPR_LIB . "TwitterOAuth/TwitterOAuth.php";

  class IPImpr_Ajax_Gettwitter
  {
    /**
     * Execution save options process
     *
     * @return void
     */
    public function exec()
    {
      $status  = 0;
      $photos  = array();

      //
      //Get key
      $apiKey      = get_option( '__ipimpr_twitter_api_key' );
      $apiSecret   = get_option( '__ipimpr_twitter_api_secret' );
      $token       = get_option( '__ipimpr_twitter_access_token' );
      $tokenSecret = get_option( '__ipimpr_twitter_access_token_secret' );

      if ( ! empty( $_POST['query'] ) && $apiKey && $apiSecret && $token && $tokenSecret )
      {
        $keyword = apply_filters( 'single_post_title', $_POST['query'] );
        $keyword = '"' . $keyword . '" filter:images';

        try {
          $twitter = new TwitterOAuth( $apiKey, $apiSecret, $token, $tokenSecret );
          $tweets  = $twitter->get('search/tweets', array(
              'q'       => $keyword,
              'count'   => 80
          ));
          if ( ! empty( $tweets->statuses ))
          {
            foreach( $tweets->statuses as $tweet )
            {
              if ( ! empty( $tweet->entities->media ))
              {
                foreach( $tweet->entities->media as $media )
                {
                  $media = (array)$media;
                  $media['title']    = $tweet->text;
                  $media['tweet_id'] = $tweet->id;
                  $photos[] = $media;
                }
              }
            }
          }
          $status = 1;
        }
        catch (Exception $e) {
          $photos = array();
        }
      }

      echo json_encode( array(
        'status'    => $status,
        'photos'    => $photos
      ) );
      die();

    }

  }
}
